Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface HasScrollHandlers

All Known Subinterfaces:
  HasScrolling, HorizontalScrollbar, VerticalScrollbar

All Known Implementing Classes:
  AbstractNativeScrollbar, CustomScrollPanel, NativeHorizontalScrollbar, NativeVerticalScrollbar, ScrollPanel

    public interface HasScrollHandlers

A widget that implements this interface provides registration for `ScrollHandler` instances.

Method Summary
`HandlerRegistration` | `addScrollHandler(ScrollHandler handler)` Adds a `ScrollEvent` handler.

Method Detail

### addScrollHandler

    HandlerRegistration addScrollHandler(ScrollHandler handler)

  Adds a `ScrollEvent` handler.

  Parameters:
    `handler` - the scroll handler
  Returns:
    `HandlerRegistration` used to remove this handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD